Loading...
Searching...
No Matches
BALL::GAFFCESParser::CESelementConnectionPredicate Class Reference

`#include <BALL/MOLMEC/AMBER/GAFFCESParser.h>`

Inheritance diagram for BALL::GAFFCESParser::CESelementConnectionPredicate:

## Public Member Functions

| CESelementConnectionPredicate (GAFFCESParser *parser)
| ~CESelementConnectionPredicate ()
void | setNumberOfPartners (Size number)
void | setElementName (String name)
Size | getNumberOfPartners ()
String | getElementName ()
bool | match (Atom &atom)
Public Member Functions inherited from BALL::GAFFCESParser::CESPredicate
| CESPredicate (GAFFCESParser *parser)
virtual | ~CESPredicate ()
void | initStringToWildcard ()
std::map< String, CESwildcards > | getStringToWildcard ()
void | addCESwildcardsConnectionPredicate (String wildcard, Size partners)
void | addCESwildcardsPredicate (String wildcard)
void | addCESelementPredicate (String name)
void | addCESelementConnectionPredicate (Size partners, String name)
void | addTruePredicate () const
virtual bool | operator() (Atom &atom)
void | clear ()
bool | alreadySeenThisAtom (Atom *atom)
void | addNewAND ()
void | addNewOR (APSMatcher::APSType aps, int feature_number)

## Protected Attributes

Size | numberOfPartners_
String | elementName_
Protected Attributes inherited from BALL::GAFFCESParser::CESPredicate
std::map< String, CESwildcards > | stringToWildcard_
GAFFCESParser * | parser_

## Additional Inherited Members

Public Types inherited from BALL::GAFFCESParser::CESPredicate
enum | CESwildcards { XA , XB , XC , XD , XX }
Public Attributes inherited from BALL::GAFFCESParser::CESPredicate
APSMatcher | aps_matcher
std::vector< CESPredicate * > | children
CESPredicate * | parent
Atom * | atom_to_test

## Detailed Description

Definition at line 190 of file GAFFCESParser.h.

## Constructor & Destructor Documentation

## CESelementConnectionPredicate()

BALL::GAFFCESParser::CESelementConnectionPredicate::CESelementConnectionPredicate | ( | GAFFCESParser * | parser | ) |

inline

Definition at line 193 of file GAFFCESParser.h.

## ~CESelementConnectionPredicate()

BALL::GAFFCESParser::CESelementConnectionPredicate::~CESelementConnectionPredicate | ( |  | ) |

## Member Function Documentation

## getElementName()

String BALL::GAFFCESParser::CESelementConnectionPredicate::getElementName | ( |  | ) |

## getNumberOfPartners()

Size BALL::GAFFCESParser::CESelementConnectionPredicate::getNumberOfPartners | ( |  | ) |

## match()

bool BALL::GAFFCESParser::CESelementConnectionPredicate::match | ( | Atom & | atom | ) |

virtual

Reimplemented from BALL::GAFFCESParser::CESPredicate.

## setElementName()

void BALL::GAFFCESParser::CESelementConnectionPredicate::setElementName | ( | String | name | ) |

## setNumberOfPartners()

void BALL::GAFFCESParser::CESelementConnectionPredicate::setNumberOfPartners | ( | Size | number | ) |

## Member Data Documentation

## elementName_

String BALL::GAFFCESParser::CESelementConnectionPredicate::elementName_

protected

Definition at line 209 of file GAFFCESParser.h.

## numberOfPartners_

Size BALL::GAFFCESParser::CESelementConnectionPredicate::numberOfPartners_

protected

Definition at line 208 of file GAFFCESParser.h.